package meerkat.voting.controller.commands;

public abstract class ControllerCommand {
    protected final int requestIdentifier;
    protected final long ballotSerialNumber;

    protected ControllerCommand(int requestIdentifier, long ballotSerialNumber) {
        this.requestIdentifier = requestIdentifier;
        this.ballotSerialNumber = ballotSerialNumber;
    }

    public long getBallotSerialNumber () {
        return this.ballotSerialNumber;
    }

    public int getRequestIdentifier () {
        return this.requestIdentifier;
    }
}
