package meerkat.voting.controller.commands;

import meerkat.protobuf.Voting.*;

import java.util.List;

public class EncryptAndCommitBallotCommand extends ControllerCommand {
    private final List<BallotAnswer> votingAnswers;

    public EncryptAndCommitBallotCommand(int requestIdentifier, long ballotSerialNumber, List<BallotAnswer> answers) {
        super(requestIdentifier, ballotSerialNumber);
        votingAnswers = answers;
    }

    public List<BallotAnswer> getVotingAnswers() {
        return votingAnswers;
    }
}
